OpenVDB: SetGroupFromIndexOp< PointDataTreeT, PointIndexTreeT, Remove > Struct Template Reference

OpenVDB 8.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
SetGroupFromIndexOp< PointDataTreeT, PointIndexTreeT, Remove > Struct Template Reference

`#include <PointGroup.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTreeT >
using | LeafRangeT = typename LeafManagerT::LeafRange
using | PointIndexLeafNode = typename PointIndexTreeT::LeafNodeType
using | IndexArray = typename PointIndexLeafNode::IndexArray
using | GroupIndex = AttributeSet::Descriptor::GroupIndex
using | MembershipArray = std::vector< short >

## Public Member Functions
| SetGroupFromIndexOp (const PointIndexTreeT &indexTree, const MembershipArray &membership, const GroupIndex &index)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Public Attributes
const PointIndexTreeT & | mIndexTree
const MembershipArray & | mMembership
const GroupIndex & | mIndex

## Member Typedef Documentation

## ◆ GroupIndex

using GroupIndex = AttributeSet::Descriptor::GroupIndex

## ◆ IndexArray

using IndexArray = typename PointIndexLeafNode::IndexArray

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTreeT>

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## ◆ MembershipArray

using MembershipArray = std::vector<short>

## ◆ PointIndexLeafNode

using PointIndexLeafNode = typename PointIndexTreeT::LeafNodeType

## Constructor & Destructor Documentation

## ◆ SetGroupFromIndexOp()

SetGroupFromIndexOp | ( | const PointIndexTreeT & | indexTree,
|  | const MembershipArray & | membership,
|  | const GroupIndex & | index
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIndex

const GroupIndex& mIndex

## ◆ mIndexTree

const PointIndexTreeT& mIndexTree

## ◆ mMembership

const MembershipArray& mMembership

The documentation for this struct was generated from the following file:

- PointGroup.h